Subject: Flood Sale on Saturday
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 12 Jun 2001 13:27:54 -0700 (PDT)

Clinton,
Due to the flood,  our phones rolled over to the Portland office on Saturday.    Geir Solberg sold hours 13-15,   230 mw's each hour to CSCS for $25.
I have entered the deals today and they are as follows:

Frontera,  deal no.  644515,  entered under Teco Services book
AEP deal no.  644529, also entered under Teco Services.

I dont know how the reconciliation of this Services book takes place.   I am working on some procedures and need some input.

Lets party,

JMF